// cx88chng.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

CHardwareDriver*	m_pDriver;
CMy2388xCard*		m_pCard;

int main(int argc, char* argv[])
{

    m_pDriver = new CHardwareDriver();
	if(m_pDriver->LoadDriver() == FALSE)
    {
        delete m_pDriver;
		m_pDriver = NULL;
        printf("Can't open driver");
        return -1;
    }
      
    DWORD	dwSubSystemId	= NULL;
    int		iDeviceIndex	= NULL;
	if(m_pDriver->DoesThisPCICardExist(0x14F1, 0x8800, iDeviceIndex, dwSubSystemId) == FALSE)
    {
        delete m_pDriver;
		m_pDriver = NULL;

        printf("Card not Found");
        return -1;
    }

	m_pCard = new CMy2388xCard(m_pDriver);
	if (m_pCard->OpenPCICard(0x14F1, 0x8800, iDeviceIndex) == FALSE)
	{
        delete m_pCard;
		m_pCard = NULL;

        delete m_pDriver;
		m_pDriver = NULL;

        printf("Error at Open PCI-Card");
        return -1;
	}

    DWORD Reg;
    DWORD Value;

    Reg =0x00365008;
    Value = 0x00014d5349;
    m_pCard->WriteDword(Reg, Value);
    Reg = 0x0036500C;
    Value = 0xFFFFFFFF;
    m_pCard->WriteDword(Reg, Value);

    delete m_pCard;
    delete m_pDriver;

	return 0;
}
