// My2388xCard.h: Schnittstelle fr die Klasse CMy2388xCard.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MY2388XCARD_H__A8D4B201_8B94_498E_8958_D591C1D7449C__INCLUDED_)
#define AFX_MY2388XCARD_H__A8D4B201_8B94_498E_8958_D591C1D7449C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HardwareDriver.h"

class CMy2388xCard  
{
public:
	void WriteDword(DWORD Offset, DWORD Data);
	DWORD ReadDword(DWORD Offset);
	BOOL OpenPCICard(WORD VendorID, WORD DeviceID, int DeviceIndex);
	CMy2388xCard(CHardwareDriver* pDriver);
	~CMy2388xCard();

protected:
	void ClosePCICard();
    
	DWORD   m_SubSystemId;
    WORD    m_DeviceId;
    WORD    m_VendorId;
    DWORD   m_BusNumber;
    DWORD   m_SlotNumber;
	BOOL	m_bOpen;

private:
    DWORD   m_MemoryAddress;
    DWORD   m_MemoryLength;
    DWORD   m_MemoryBase;
    CHardwareDriver* m_pDriver;
};

#endif // !defined(AFX_MY2388XCARD_H__A8D4B201_8B94_498E_8958_D591C1D7449C__INCLUDED_)
